Name:		shellfu
Version:	__VERSION__
Release:	1%{?dist}
Summary:	Shellfu - Bash dot on steroids

License:	LGPLv2
Source0:	%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	coreutils git
Requires:	bash

%description
Shellfu is an attempt to add modularity to your shell scripts.

With Shellfu you can develop your shell modules separately from your
scripts, and test, use, explore or study them without need to be aware
of details such as where the actual files are placed.

Shellfu is mostly intended for cases when there's need for non-trivial
amount of reliable body of shell scripts, and access to advanced modular
languages such as Python or Perl is limited.

%package bash
Summary: The bare Shellfu loader (POSIX sh)
%description bash
This sub-package contains only the Shellfu/Bash management system but
not actual modules.  Use this if you want to write all modules yourself.

%package bash-core
Summary: Core Bash modules for Shellfu
Requires: shellfu-bash
%description bash-core
This sub-package contains core Shellfu modules.

%package bash-extras
Summary: Extra Bash modules for Shellfu
Requires: shellfu-bash
%description bash-extras
This sub-package contains extra Shellfu modules, most of them under
heavy development.


%prep
%setup -q


%build
# %%configure
make %{?_smp_mflags}

%install
%make_install

%files

%files bash
%config %{_sysconfdir}/bash_completion.d/shellfu.bash
%dir /usr/local/share/doc/shellfu
%dir /usr/local/share/doc/shellfu/examples
%dir /usr/local/share/shellfu
%dir /usr/local/share/shellfu/include
%doc /usr/local/share/doc/shellfu/LICENSE
%doc /usr/local/share/doc/shellfu/README.md
%doc /usr/local/share/doc/shellfu/examples/shellfu.3.sh
%doc /usr/local/share/doc/shellfu/examples/template.sh
%doc /usr/local/share/doc/shellfu/examples/test_something.sh
/usr/local/bin/shellfu-embed
/usr/local/bin/shellfu-get
/usr/local/bin/shellfudoc
/usr/local/share/shellfu/shellfu.sh

%files bash-core
/usr/local/share/shellfu/include/_pretty_color.sh
/usr/local/share/shellfu/include/_pretty_html.sh
/usr/local/share/shellfu/include/_pretty_plain.sh
/usr/local/share/shellfu/include/exit.sh
/usr/local/share/shellfu/include/pretty.sh
/usr/local/share/shellfu/include/termcolors.sh

%files bash-extras
/usr/local/share/shellfu/include/charmenu.sh
/usr/local/share/shellfu/include/inigrep.sh
/usr/local/share/shellfu/include/sync.sh


%changelog

