#!/bin/bash
. "$(shellfu-get path)" || exit 3

shellfu import pretty
shellfu import testing
SHELLFU_VERBOSE=true           ## to think loud
SHELLFU_DEBUG=true             ## to stay on the safe side
SHELLFU_MKPRETTY=color

think "testing something"
something > out             || die "something is dead"
debug -f out
assert_linecount 3 <out     || warn "something has bad line number"

think "testing something"
something --silent > out    || die "something --silent is dead"
debug -f out
assert_linecount -lt 3 <out || warn "something --silent is not really silent"

think "trying to invent time machine"
dir=$(mktemp -d)
debug -v dir                # debug_mytest: dir='/tmp/tmp.WE1XZU'
pushd $dir
    try_to_invent
    debug -c ls             # let'em see what's here
    try_to_invent --more    || warn -l "something happened that is too complicated"
                                       "to explain in one line but we still want"
                                       "to have a beautiful code"
    test -f blueprint       || die "cannot invent time machine :'("
popd
