#!/bin/bash

shellfu import termcolors


SHELLFU_PRETTY_COLOR_DEBUG=""
SHELLFU_PRETTY_COLOR_DIE=""
SHELLFU_PRETTY_COLOR_USAGE_IS=""
SHELLFU_PRETTY_COLOR_THINK=""
SHELLFU_PRETTY_COLOR_WARN=""
SHELLFU_PRETTY_COLOR_OFF=""


__shellfu__pretty_color__init() {
    test -t 2 || return 0   # stderr is a pipe/file; refrain from colors
    SHELLFU_PRETTY_COLOR_DEBUG="${SHELLFU_TERMCOLORS_LBLUE}"
    SHELLFU_PRETTY_COLOR_DIE="${SHELLFU_TERMCOLORS_LRED}"
    SHELLFU_PRETTY_COLOR_USAGE_IS="${SHELLFU_TERMCOLORS_YELLOW}"
    SHELLFU_PRETTY_COLOR_THINK="${SHELLFU_TERMCOLORS_LBLACK}"
    SHELLFU_PRETTY_COLOR_WARN="${SHELLFU_TERMCOLORS_LRED}"
    SHELLFU_PRETTY_COLOR_OFF="${SHELLFU_TERMCOLORS_NONE}"
}


_pretty__debug() {
    while IFS= read line;
    do echo -ne "${SHELLFU_PRETTY_COLOR_DEBUG}debug:$caller:$SHELLFU_PRETTY_COLOR_OFF"
       echo "$line"; done
}


_pretty__die() {
    echo -ne "$SHELLFU_PRETTY_COLOR_DIE"
    while IFS= read line;
    do echo "$line"; done
    echo -ne "$SHELLFU_PRETTY_COLOR_OFF"
}


_pretty__mkhelp() {
    echo -ne "$SHELLFU_PRETTY_COLOR_USAGE_IS"
    while IFS= read line;
    do echo -e "$line"; done
    echo -ne "$SHELLFU_PRETTY_COLOR_OFF"
}


_pretty__mkusage() {
    echo -ne "$SHELLFU_PRETTY_COLOR_USAGE_IS"
    while IFS= read line;
    do echo -e "$line"; done
    echo -ne "$SHELLFU_PRETTY_COLOR_OFF"
}


_pretty__think() {
    echo -ne "$SHELLFU_PRETTY_COLOR_THINK"
    while IFS= read line;
    do echo "$line"; done
    echo -ne "$SHELLFU_PRETTY_COLOR_OFF"
}


_pretty__warn() {
    echo -ne "$SHELLFU_PRETTY_COLOR_WARN"
    while IFS= read line;
    do echo "$line"; done
    echo -ne "$SHELLFU_PRETTY_COLOR_OFF"
}
