#!/bin/bash


SHELLFU_EXIT_OK=0
SHELLFU_EXIT_NO=1
SHELLFU_EXIT_USAGE=2
SHELLFU_EXIT_ERROR=3
SHELLFU_EXIT_PANIC=4


exit_ok() {
    #
    # Exit script with success
    #
    exit $SHELLFU_EXIT_OK
}


exit_no() {
    #
    # Exit script with answer "no"
    #
    exit $SHELLFU_EXIT_NO
}


exit_usage() {
    #
    # Exit script with usage error
    #
    exit $SHELLFU_EXIT_USAGE
}


exit_error() {
    #
    # Exit script with generic unexpected error
    #
    exit $SHELLFU_EXIT_ERROR
}


exit_panic() {
    #
    # Exit script in panic (e.g. assert failure, sure bug)
    #
    exit $SHELLFU_EXIT_PANIC
}
